#
# spec file for package pumpa
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pumpa
Version:        0.9.3
Release:        2.38
Summary:        A pump.io client written in C++/Qt
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            https://pumpa.branchable.com/
Source:         https://sjoberg.fi/software/downloads/%{name}/%{name}-%{version}.tar.xz
Source1:        https://sjoberg.fi/software/downloads/%{name}/%{name}-%{version}.tar.xz.sign
Source2:        %{name}.keyring
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libtidy-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
Pumpa is a pump.io client written in C++ and Qt.

%prep
%setup -q

%build
%qmake5 \
  QMAKE_CXXFLAGS="%{optflags}" \
  QMAKE_CFLAGS="%{optflags}"   \
  PREFIX=%{_prefix}
make %{?_smp_mflags} V=1

%install
%qmake5_install

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc LICENSE README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/icons/hicolor/*/
%dir %{_datadir}/icons/hicolor/*/apps/
%{_datadir}/icons/hicolor/*/apps/%{name}*

%changelog
* Wed Aug  9 2017 pgajdos@suse.com
- turn off spell checking [bsc#1052963]
* Wed May 10 2017 jengelh@inai.de
- Drop redundant mentions from description.
* Tue May  9 2017 sor.alexei@meowr.ru
- Update to version 0.9.3:
  * Change from SpellCheckUnderline to WaveUnderline.
  * Fix a bug related to libtidy version compatibility (deb#834031).
  * Add an option to set font_size manually in pumpa.conf.
  * Update German translation.
* Mon Jun 20 2016 tchvatal@suse.com
- Switch to libtidy-devel to avoid unresolvable on factory
* Sun Jan 31 2016 sor.alexei@meowr.ru
- Update to 0.9.2:
  * User profile and avatar image editing.
  * Shares are now visualised with a recycling icon.
  * Fix bug where a shared object might be seen as already liked.
  * Fix bug where certain authors were seen as being followed even
    though they weren't.
  * Add Finnish language.
- Add tarball signing.
* Fri May 22 2015 sor.alexei@meowr.ru
- Update to 0.9.1:
  * Auto-link urls only if we are not using Markdown-mode.
  * Now has an optional character count for people cross-posting to
    character limited instances.
  * Multiple context tabs can now be opened.
  * Now presents an option to abort or ignore when confronted with
    an SSL cert error.
  * Add Russian translation.
* Mon Oct 20 2014 sor.alexei@meowr.ru
- Add .desktop database update.
- Minor spec cleanup.
* Mon Aug 25 2014 sor.alexei@meowr.ru
- Update to 0.9
  * Support for editing posts and comments (in HTML only)
  * Better display of deleted posts
  * Be better about showing comments in temporal order
  * Complete @-tagging with display name instead of nick name
  * More aggressive about reloading inbox to better get missing
    replies
  * Fixed UTF-8 bug introduced in v0.8.4
  * Fixed bug where image upload consistently fails after an
    aborted upload
  * Fixed download manager memory leaks
  * Fixed bug where copy by Ctrl-C didn't work in text widgets
  * Various minor bug fixes
* Mon Jun  9 2014 sor.alexei@meowr.ru
- Update to 0.8.4
  * Avatar-menu with new auto-minimise feature that automatically
    collapses posts of e.g. noisy users :-)
  * To/Cc now editable on replies
  * Inline HTML now allowed using libtidy (this feature is disabled
    if libtidy isn't installed)
  * Updated German, Spanish, Italian and Na'vi translations
  * Various bug fixes
* Tue Apr 22 2014 sor.alexei@meowr.ru
- Migration to Qt5.
* Thu Apr  3 2014 sor.alexei@meowr.ru
- Initial package.
